## python-django-casclient 1.5.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/DjangoCasClient.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/DjangoCasClient.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/DjangoCasClient"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/DjangoCasClient"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## python-django-casclient 1.2.0

=== debian/changelog ===
python-django-casclient (1.2.0-2) unstable; urgency=medium

  [ Joost van Baal-Ilić <joostvb@debian.org> ]
  * First upload to Debian archive. Closes: #818266.
  * debian/control: add Uploaders: Debian Python Modules Team
    <python-modules-team@lists.alioth.debian.org>, per
    https://python-modules.alioth.debian.org/policy.html .
  * debian/control: add Vcs-tags.
  * debian/control: do not assume reader knows about "CAS".  Thanks Neil
    Williams for suggestion.
  * debian/copyright: completed.
  * debian/python-django-casclient-doc.docs: do not install extra copy of
    LICENSE.mit.

  [ Ondřej Nový <novy@ondrej.org> ]
  * Fixed VCS URL (https)

 -- Joost van Baal-Ilić <joostvb@debian.org>  Fri, 05 Aug 2016 15:41:53 +0200

python-django-casclient (1.2.0-1) unstable; urgency=medium

  * Private release for Tilburg University.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Fri, 11 Mar 2016 13:59:58 +0000

=== debian/control ===
Source: python-django-casclient
Section: python
Priority: optional
Maintainer: Joost van Baal-Ilić <joostvb@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>=9), dh-python, python-all (>= 2.6.6-3~),
 python-setuptools, python3-all, python3-setuptools,
 python-django-appconf, python3-django-appconf
Standards-Version: 3.9.6
Homepage: https://github.com/kstateome/django-cas/
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-django-casclient.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-django-casclient.git

Package: python-django-casclient
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Suggests: python-django-cas-doc
Description: CAS client library for Django, K-State's version (Python 2)
 Django-cas is a Central Authentication Service (CAS) client library for
 Django, offering single sign-on web authentication.  It is K-State's fork of
 the original and includes Edmund Crewe's proxy ticket patch and several
 additional features as well as features merged from KTHse's django-cas2.
 .
 This package installs the library for Python 2.

Package: python3-django-casclient
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: python-django-cas-doc
Description: CAS client library for Django, K-State's version (Python 3)
 Django-cas is a Central Authentication Service (CAS) client library for
 Django, offering single sign-on web authentication.  It is K-State's fork of
 the original and includes Edmund Crewe's proxy ticket patch and several
 additional features as well as features merged from KTHse's django-cas2.
 .
 This package installs the library for Python 3.

Package: python-django-casclient-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: CAS client library for Django (documentation)
 Django-cas is a Central Authentication Service (CAS) client library for
 Django, offering single sign-on web authentication.  It is K-State's fork of
 the original and includes Edmund Crewe's proxy ticket patch and several
 additional features as well as features merged from KTHse's django-cas2.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# PYBUILD_DISABLE_python3.3=test - disables tests for Python 3.3
# PYBUILD_DISABLE=test/python3.3 - same as above

export PYBUILD_NAME=django-casclient

# FIXME
export PYBUILD_DISABLE=test

%:
	dh $@  --with python2,python3 --buildsystem=pybuild


# If you need to rebuild the Sphinx documentation
# Add spinxdoc to the dh --with line
#override_dh_auto_build:
#	dh_auto_build
#	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml        docs/ build/html # HTML generator
#	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bman        docs/ build/man # Manpage generator

=== debian/watch ===
# watch control file for uscan
# run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 4 file
version=4

# PGP signature mangle, so foo.tar.gz has foo.tar.gz.sig
#opts="pgpsigurlmangle=s%$%.sig%"


# GitHub hosted projects
opts="filenamemangle="s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%django-cas-$1.tar.gz%" \
   https://github.com/kstateome/django-cas/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

# PyPI
# https://pypi.python.org/packages/source/<initial>/django-cas/ \
#   django-cas-(.+)\.tar\.gz debian uupdate

# Direct Git
# opts="mode=git" http://git.example.com/django-cas.git \
#   refs/tags/v([\d\.]+) debian uupdate

## python-django-casclient 1.5.1

=== debian/changelog ===
python-django-casclient (1.5.1-1) UNRELEASED; urgency=medium

  * Fix watch file
  * Add co-maintainer
  * New upstream version 1.5.1
  * Update standards version to 4.4.0 (no changes needed)
  * Update debhelper compat to 12
  * Fix lintian warnings -
    - Add dependency on python3-django
    - Remove empty postinst, prerm scripts

 -- William Blough <bblough@debian.org>  Fri, 09 Aug 2019 21:17:21 -0400

python-django-casclient (1.2.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Team upload.
  * Removed Python 2 support.
  * Ran wrap-and-sort -bast.

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jul 2019 22:17:24 +0200

=== debian/control ===
Source: python-django-casclient
Section: python
Priority: optional
Maintainer: Joost van Baal-Ilić <joostvb@debian.org>
Uploaders:
 Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
 William Blough <bblough@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-django-appconf,
 python3-setuptools,
Standards-Version: 4.4.0
Homepage: https://github.com/kstateome/django-cas/
Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-casclient.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-casclient

Package: python-django-casclient-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: CAS client library for Django (documentation)
 Django-cas is a Central Authentication Service (CAS) client library for
 Django, offering single sign-on web authentication.  It is K-State's fork of
 the original and includes Edmund Crewe's proxy ticket patch and several
 additional features as well as features merged from KTHse's django-cas2.
 .
 This is the common documentation package.

Package: python3-django-casclient
Architecture: all
Depends:
 python3-django,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-django-cas-doc,
Description: CAS client library for Django, K-State's version (Python 3)
 Django-cas is a Central Authentication Service (CAS) client library for
 Django, offering single sign-on web authentication.  It is K-State's fork of
 the original and includes Edmund Crewe's proxy ticket patch and several
 additional features as well as features merged from KTHse's django-cas2.
 .
 This package installs the library for Python 3.

## python-django-casclient 1.5.3

=== debian/changelog ===
python-django-casclient (1.5.3-3) unstable; urgency=medium

  * Team upload.

  [ Joost van Baal-Ilić ]
  * As agreed with William Blough in private communication: d/control:
    change Maintainer: from Joost van Baal-Ilić to Debian Python Team.
    Drop Debian Python Team from Uploaders.  William is now the only
    human mentioned in these fields.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Fri, 21 Feb 2025 05:34:00 +0100

python-django-casclient (1.5.3-2) unstable; urgency=medium

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-django-casclient-doc: Add Multi-Arch: foreign.

 -- Sandro Tosi <morph@debian.org>  Fri, 03 Jun 2022 00:41:20 -0400

python-django-casclient (1.5.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ William Blough ]
  * New upstream version 1.5.3
  * Remove temp files from debian dir
  * Update Standards-Version to 4.5.1 (no changes)

 -- William Blough <bblough@debian.org>  Thu, 17 Dec 2020 16:56:53 -0500

python-django-casclient (1.5.1-1) unstable; urgency=medium

  * Fix watch file
  * Add co-maintainer
  * New upstream version 1.5.1
  * Update standards version to 4.4.0 (no changes needed)
  * Update debhelper compat to 12
  * Fix lintian warnings -
    - Add dependency on python3-django
    - Remove empty postinst, prerm scripts

 -- William Blough <bblough@debian.org>  Sat, 10 Aug 2019 00:04:00 -0400

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,18 @@
 Source: python-django-casclient
 Section: python
 Priority: optional
-Maintainer: Joost van Baal-Ilić <joostvb@debian.org>
-Uploaders:
- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
- William Blough <bblough@debian.org>,
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: William Blough <bblough@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-django-appconf,
  python3-setuptools,
-Standards-Version: 4.4.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/kstateome/django-cas/
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-casclient.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-casclient
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-casclient.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-casclient
 
 Package: python-django-casclient-doc
 Architecture: all
@@ -22,6 +20,7 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
+Multi-Arch: foreign
 Description: CAS client library for Django (documentation)
  Django-cas is a Central Authentication Service (CAS) client library for
  Django, offering single sign-on web authentication.  It is K-State's fork of

=== debian/watch ===
# watch control file for uscan
# run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 4 file
version=4

# PGP signature mangle, so foo.tar.gz has foo.tar.gz.sig
#opts="pgpsigurlmangle=s%$%.sig%"


opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/django-cas-$1\.tar\.gz/ \
  https://github.com/kstateome/django-cas/tags .*/v?(\d\S+)\.tar\.gz
